<?php
declare(strict_types=1);

namespace Inti\Test\Provider;

use Inti\Provider\Query\QueryInterface;

class ArrayProvider implements QueryInterface
{
    use ArrayProviderTrait;

    protected array $items = [];
    protected array $fields = [];

    /**
     * Konstruktor.
     *
     * @param array $items
     * @param array $fields
     */
    public function __construct(array $items, array $fields)
    {
        $this->items = $items;
        $this->fields = $fields;
    }
}
