<?php
declare(strict_types=1);

namespace IntiTest\Test\Mock;

/**
 * Class ConfigProvider
 *
 * @package IntiTest\Test\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-test
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'dependencies' => [
                'aliases' => [
                    'mock_config_provider' => self::class,
                ],
            ],
        ];
    }
}
