<?php
declare(strict_types=1);

namespace IntiTest\Test\Mock;

use Inti\Provider\ProviderInterface;
use Inti\Provider\Type\TypeInterface;

/**
 * Class TypeProvider
 *
 * @package IntiTest\Test\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-test
 */
final class TypeProvider implements ProviderInterface
{
    public function getProvidedType(): TypeInterface
    {
        return Type::instance();
    }
}
